Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004382TestLinkUser Interface Layoutpublic2011-04-06 10:452011-07-02 13:48
ReporterJulian 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004382: Usability: Improve simple table for better readability (row background color, hovering effects, horizontal seperators ...)
Descriptioni think we should somehow extend simple table to adjust for different usage.

Could imagine 3 types of simple tables
1. simple table with alternating row background colors OR Franciscos solution from Bug 0004246 (should be used for single line rows)
2. simple table with horizontal seperators (should be used for multiple line rows, like steps)
3. simple table as is now (should be used for small tables)

Examples for single row tables:
- CField View [done]
- CField Assign to Test Project [done]
- Keywords View [done]
- Build View [done]
- Assign Urgency [done]
- Test Plan View [done]
- Platform View [done]
- Project View [done]
- Copy Req [done]
- Create Test cases from Req [done]
- Assign Req to Test Cases [done]
- General Test Plan Metrics [done]
- Execution Status per platform on Bulk TC delete (Table in Table) [done]
- Add Test Case to Test Plan [done]
[...]

Examples for tables that contain rows with multiple lines:
- TC Steps
- Bulk test case delete (test suite -> test case operations -> delete [define multiple platforms])
[...]

Examples for tables that should stay as they are now:
- eventinfo (click "+" for an event on event viewer)
- Bug summary for "Bugs per Test Case" Report
[...]
TagsNo tags attached.
Database (MySQL,Postgres,etc)-
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
parent of 0003583closedJulian [Contribution] A small change to add a more visible step separation (horizontal layout). 
parent of 0004246closedfman Suggest to add snap to grid in test plan management GUI 

-  Notes
(0014456)
Julian (reporter)
2011-04-06 14:25
edited on: 2011-04-07 08:27

Possible solution for 1. and 3.

1. Create new css class "simple_tableruler" that uses the same definitions as "simple"
2. class "simple_tableruler" just gets an additional mouseover effect
3. identify tables that should have the mouseover effect and change class to "simple_tableruler"

this will easily allow to establish this feature with medium effort.

(0014476)
Julian (reporter)
2011-04-07 09:32

added class simple_tableruler and changed class for in description mentioned tables:

branch 1.9:
http://gitorious.org/testlink-ga/testlink-code/commit/13c9b7a199113d3e5dd940b6d9ca65c8073fa48b [^]

master:
http://gitorious.org/testlink-ga/testlink-code/commit/2798ac9aaf9d44959af1442e329aa7f9e3710992 [^]
(0014554)
Julian (reporter)
2011-04-11 13:00

horizontal seperators will be handled in BUG 0003583
(0015398)
fman (administrator)
2011-07-02 13:48

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-04-06 10:45 Julian New Issue
2011-04-06 10:45 Julian Status new => assigned
2011-04-06 10:45 Julian Assigned To => Julian
2011-04-06 10:46 Julian Assigned To Julian =>
2011-04-06 10:46 Julian Status assigned => acknowledged
2011-04-06 10:47 Julian Relationship added parent of 0003583
2011-04-06 10:47 Julian Relationship added parent of 0004246
2011-04-06 10:50 Julian Summary Usability: Improve simple table for different usage (alternating background color, hovering effects, horizontal seperators ...) => Usability: Improve simple table for better readabily (alternating background color, hovering effects, horizontal seperators ...)
2011-04-06 10:51 Julian Summary Usability: Improve simple table for better readabily (alternating background color, hovering effects, horizontal seperators ...) => Usability: Improve simple table for better readability (row background color, hovering effects, horizontal seperators ...)
2011-04-06 14:25 Julian Note Added: 0014456
2011-04-07 08:23 Julian Description Updated View Revisions
2011-04-07 08:27 Julian Description Updated View Revisions
2011-04-07 08:27 Julian Note Edited: 0014456 View Revisions
2011-04-07 08:28 Julian Assigned To => Julian
2011-04-07 08:28 Julian Status acknowledged => assigned
2011-04-07 08:31 Julian Description Updated View Revisions
2011-04-07 09:32 Julian Note Added: 0014476
2011-04-07 09:34 Julian Description Updated View Revisions
2011-04-11 13:00 Julian Note Added: 0014554
2011-04-11 13:00 Julian Status assigned => resolved
2011-04-11 13:00 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-04-11 13:00 Julian Resolution open => fixed
2011-07-02 13:48 fman Note Added: 0015398
2011-07-02 13:48 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker